<ng-container>
  <p>Recent Path of Battery ID {{ batteryPackId }}</p>
</ng-container>
<ng4-loading-spinner [threshold]="10000" [loadingText]="'Please wait...'"> </ng4-loading-spinner>
<agm-map
  [latitude]="Ilatitude"
  [longitude]="Ilongitude"
  [zoom]="zoom"
  [disableDefaultUI]="false"
  [zoomControl]="true"
  [clickableIcons]="true"
  [disableDoubleClickZoom]="true"
  [usePanning]="true"
>
  <ng-container *ngFor="let f of paths; let i = index">
    <agm-marker
      *ngIf="i == 0"
      [latitude]="f.latitude"
      [longitude]="f.longitude"
      [iconUrl]="f.url"

    >
    </agm-marker>
    <agm-marker
      *ngIf="i == this.paths.length - 1"
      [latitude]="f.latitude"
      [longitude]="f.longitude"
      [iconUrl]="f.url"
    >
    </agm-marker>
    <!-- <agm-marker
      *ngIf="i!=0 && i!=this.places.length-1 && (i+1)%10==0"
      [latitude]="f.lat"
      [longitude]="f.lon"
      [iconUrl]="f.url"
    >
    </agm-marker> -->
  </ng-container>

  <agm-polyline [strokeColor]="'black'">
    <ng-container *ngFor="let f of paths; let i = index">
      <agm-polyline-point
        [latitude]="f.latitude"
        [longitude]="f.longitude"
      ></agm-polyline-point>
    </ng-container>
  </agm-polyline>

</agm-map>
